Subject: [Tools-discuss] Future idnits feature request

From: Brian E Carpenter <[email-masked]>
Date: Mon, 5 Oct 2020 09:01:08 +1300

idnits correctly produces warnings such as:

 ** Obsolete normative reference: RFC 2460 (Obsoleted by RFC 8200)

However, afaik, it does not produce warnings like:

 ** Updated normative reference: RFC 791 (Updated by Updated by RFC 1349, RFC 2474, RFC 6864)

I believe this would be of benefit, since it ought to prompt the authors or reviewers to check whether those updates affect the draft. In fact I've often seen references to RFC791 that show ignorance of RFC2474, so this is not an artificial problem.

(I came to this by noticing that the proposed updates to the RFC style guide have removed the statement that the RFC Editor catches references to obsoleted RFCs, as described at https://tools.ietf.org/html/rfc7322#section-4.8.6).

Regards
   Brian Carpenter